%define major 0
%define revision 18
%define minor 1
%define ver %major.%revision.%minor
%define rel alt1
%define libname libcinepaint

Summary: CinePaint is a tool for manipulating images
Name: cinepaint
Version: %ver
Release: %rel
License: GPL
Group: Graphics
Source0: %name-%major.%revision-%minor.tar.gz
Source1: cp.16x16.png
Source2: cp.48x48.png
Url: http://cinepaint.sourceforge.net

Packager: Valery Inozemtsev <shrek@altlinux.ru>

# Automatically added by buildreq on Mon Jan 19 2004
BuildRequires: XFree86-devel XFree86-libs flex gcc-c++ glib-devel glibc-devel-static gtk+-devel hostinfo libjpeg-devel libpng-devel libtiff-devel python-devel zlib-devel

Requires: gtk+ libtiff libjpeg zlib libpng
Obsoletes: filmgimp

%description
  Film Gimp is a motion picture editing tool primarily used for painting and retouching of movies. With sixteen bits per component instead of eight, Film Gimp has much more color depth capacity than Gimp. Spencer Kimball and Peter Mattis created Gimp originally, releasing the first version (0.54) in 1995. Gimp is a widely-used alternative to Adobe Photoshop, a popular tool for professional image editing. Film Gimp extended Gimp to operate upon a series of images and in 16-bit linear and floating point color depths. Film Gimp is currently based upon the HOLLYWOOD 1.0.4 branch of Gimp.

%package -n %libname
Summary: CinePaint libraries
Group: System/Libraries
License: GPL
Provides: libcinepaint = %version-%release
Obsoletes: libfilmgimp

%description -n %libname
This package contains shared libraries used by CinePaint.

%package -n %libname-devel
Summary: CinePaint plugin and extension development kit
Group: Development/C
Requires: %libname = %version-%release
Requires: gtk+-devel
Obsoletes: libfilmgimp-devel

%description -n %libname-devel
Libraries files for writing CinePaint plugins and extensions.

%package -n %libname-devel-static
Summary: CinePaint static libraries
Group: Development/C
Requires: %libname = %version-%release
Provides: libcinepaint-devel = %version-%release
Requires: gtk+-devel-static
Obsoletes: libfilmgimp-devel-static

%description -n %libname-devel-static
Static libraries for writing statically linked CinePaint plugins and extensions.

%set_verify_elf_method textrel=relaxed

%prep
%setup -q -n %name-%major.%revision-%minor

%build
%configure
%make

%install
make install DESTDIR=%buildroot

# Menu entry
mkdir -p %buildroot/%_menudir
cat << EOF > %buildroot/%_menudir/%name
?package(%name): needs="x11" \
 section="Multimedia/Graphics" \
 title="CinePaint" \
 longtitle="A tool for manipulating images" \
 command="%name" \
 icon="%name.png"
EOF

%__install -pD -m644 %SOURCE1 %buildroot/%_miconsdir/%name.png
%__install -pD -m644 cp.32x32.png %buildroot/%_iconsdir/%name.png
%__install -pD -m644 %SOURCE2 %buildroot/%_liconsdir/%name.png

%post
%update_menus

%postun
%clean_menus

%post -n %libname -p /sbin/ldconfig
%postun -n %libname -p /sbin/ldconfig

%files
%doc AUTHORS.txt ChangeLog README.txt LICENSE.ILM.txt LICENSE.GPL.txt LICENSE.MIT.txt
%_bindir/*
%_datadir/%name
%_datadir/aclocal/cinepaint.m4
%_mandir/man1/*
%_libdir/cinepaint/0.18-1/*
%_menudir/%name
%_miconsdir/%name.png
%_iconsdir/%name.png
%_liconsdir/%name.png

%files -n %libname
%_libdir/*.so.*

%files -n %libname-devel
#_libdir/lib*.la
%_libdir/*.so

%files -n %libname-devel-static
%_libdir/lib*.a

%changelog
* Mon Jan 19 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.18.1-alt1
- filmgimp to cinepaint rename
- rename gimp files

* Fri Mar 28 2003 Anatoly Yakushin <jaa@altlinux.ru> 0.16-alt1
- adopted spec for ALT Linux Team

* Tue Mar 04 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.16-1mdk
- initial release.
